Page MenuHomePhabricator

[clang-format] Correct indentation for `[key] = value,` entries in C++ object initialisers
ClosedPublic

Authored by jbcoe on Mar 6 2020, 7:36 AM.

Diff Detail

Event Timeline

jbcoe created this revision.Mar 6 2020, 7:36 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 6 2020, 7:36 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
krasimir requested changes to this revision.Mar 9 2020, 10:01 AM

Looks good! I'll stamp this after https://reviews.llvm.org/D75731 gets merged and this rebased on top of it.

clang/lib/Format/ContinuationIndenter.cpp
1050

Please address the Pre-merge checks finding.

This revision now requires changes to proceed.Mar 9 2020, 10:01 AM
jbcoe updated this revision to Diff 249155.Mar 9 2020, 10:40 AM

Format code.

jbcoe marked an inline comment as done.Mar 9 2020, 10:40 AM
krasimir accepted this revision.Mar 9 2020, 10:49 AM

Thank you!

This revision is now accepted and ready to land.Mar 9 2020, 10:49 AM
This revision was automatically updated to reflect the committed changes.

The mention of "C++ object initializers" in the commit message is a typo, yes? (it should be "C# object initializers" I assume?)

jbcoe added a comment.Mar 23 2020, 3:06 AM

That's right David, this typo was fixed in a reverted and re-applied commit: https://reviews.llvm.org/D75856, https://reviews.llvm.org/D75747